Bug 870405 - Cannot send mail with large message body
Summary: Cannot send mail with large message body
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: openchange
Version: 6.4
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Matthew Barnes
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks: 895654
TreeView+ depends on / blocked
 
Reported: 2012-10-26 12:04 UTC by Milan Crha
Modified: 2013-02-21 10:20 UTC (History)
4 users (show)

Fixed In Version: openchange-1.0-3.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-21 10:20:48 UTC
Target Upstream Version:


Attachments (Terms of Use)
openchange-1.0-writestream.patch (8.00 KB, patch)
2012-10-26 12:04 UTC, Milan Crha
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0515 0 normal SHIPPED_LIVE Moderate: openchange security, bug fix and enhancement update 2013-02-20 21:29:17 UTC

Description Milan Crha 2012-10-26 12:04:54 UTC
Created attachment 633813 [details]
openchange-1.0-writestream.patch

This is a "clone" of the upstream bug report:
https://bugzilla.gnome.org/show_bug.cgi?id=682449

Since OpenChange 1.0 users are unable to send messages with large message body and/or attachments, the WriteStream function fails. There was a problem due to changes in samba4, which discovered little issues in OpenChange's exchange.idl definitions. More info tin the upstream bug and in the OpenChange's devel mailing list:
   http://mailman.openchange.org/pipermail/devel/2012-August/005483.html

This bug is affection also users of evolution-mapi.

Fedora packages (17, 18 and master) contain the attached patch already.

Comment 3 RHEL Program Management 2013-01-07 12:33:05 UTC
This request was evaluated by Red Hat Product Management for
inclusion in a Red Hat Enterprise Linux release.  Product
Management has requested further review of this request by
Red Hat Engineering, for potential inclusion in a Red Hat
Enterprise Linux release for currently deployed products.
This request is not yet committed for inclusion in a release.

Comment 4 Milan Crha 2013-01-08 18:15:40 UTC
I just built openchange-1.0-3.el6 with the patch included.

Comment 7 errata-xmlrpc 2013-02-21 10:20:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0515.html


Note You need to log in before you can comment on or make changes to this bug.